import { LimitOrder } from "./order";
import { BigNumber, ethers } from 'ethers';
export declare class FillLimitOrder {
    readonly order: LimitOrder;
    readonly path: string[];
    readonly minimumAmoutOutExternal: BigNumber;
    readonly amountToFill: BigNumber;
    readonly limitOrderReceiver: string;
    readonly to: string;
    readonly tokenIn: string;
    readonly tokenOut: string;
    readonly limitOrderReceiverData: string;
    constructor(order: LimitOrder, path: string[], minimumAmoutOutExternal: BigNumber, amountToFill: BigNumber, limitOrderReceiver: string, to: string);
    fillOrderOpen(signer: ethers.Signer, { forceExecution, gasPrice }: {
        forceExecution: boolean;
        gasPrice: BigNumber;
    }): Promise<{
        executed: boolean;
        transactionHash: string;
    }>;
    fillOrder(signer: ethers.Signer, { forceExecution, gasPrice, open }: {
        forceExecution: boolean;
        gasPrice: BigNumber;
        open: boolean;
    }): Promise<{
        executed: boolean;
        transactionHash: string;
    }>;
}
